"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _rcTable = _interopRequireDefault(require("rc-table"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactContextHooksStore = require("react-context-hooks-store");

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var prefixCls = 'bp3-table';

function Table(props) {
  var _classNames;

  var className = props.className,
      bordered = props.bordered,
      _props$size = props.size,
      size = _props$size === void 0 ? 'default' : _props$size,
      pagination = props.pagination,
      restProps = _objectWithoutProperties(props, ["className", "bordered", "size", "pagination"]);

  return _react["default"].createElement("div", {
    className: (0, _classnames["default"])("".concat(prefixCls, "-wrapper"), className)
  }, _react["default"].createElement(_rcTable["default"] // tableLayout="auto"
  , _extends({
    className: (0, _classnames["default"])((_classNames = {}, _defineProperty(_classNames, "".concat(prefixCls, "-").concat(size), size), _defineProperty(_classNames, "".concat(prefixCls, "-bordered"), bordered), _classNames)),
    rowKey: function rowKey(record) {
      return record._id || record.id;
    },
    prefixCls: prefixCls
  }, restProps)));
}

var _default = (0, _reactContextHooksStore.memoize)(Table);

exports["default"] = _default;